ReferenceRest

Get command input and output schemas

Returns the public input schema, successful output schema, and optional approval preview schema for one runtime command.

GET
/api/v1/commands/{commandId}/schema

Returns the public input schema, successful output schema, and optional approval preview schema for one runtime command.

Authorization

AuthorizationBearer <token>

Use Authorization: Bearer <salestouch_api_key>.

In: header

Path Parameters

commandId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://www.salestouch.io/api/v1/commands/string/schema"
{
  "data": {
    "command": {
      "command_id": "string",
      "title": "string",
      "description": "string",
      "summary": "string",
      "visibility": "public",
      "risk": "read",
      "category": "linkedin",
      "default_permission": "allow",
      "when_to_use": "string",
      "risk_notes": [
        "string"
      ],
      "output_notes": [
        "string"
      ],
      "related_commands": [
        "string"
      ],
      "related_resources": [
        "string"
      ],
      "examples": [
        {
          "title": "string",
          "language": "string",
          "code": "string"
        }
      ],
      "input_schema": {},
      "output_schema": {},
      "approval_output_schema": {}
    }
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}